Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 30-11-2017 09:22:11

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Installer un paquet de testing et rester sur stable. (Résolu)

Bonjour,
Sur une DFLinux 64bits à jour (Debian 9.2), j'ai besoin d'nstaller la dernière version de hplip pour piloter une imprimante HP Henvy 5030, un modèle récent.

J'ai téléchargé le fichier fourni par HP pour Debian et j'ai exécuté :

sh hplip-*.run
 


Au début tout va bien, mais cela se termine par deux erreurs relatives à des paquets manquants que l'installateur de trouve pas.

RE-CHECKING DEPENDENCIES
------------------------
error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.
error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.
error: Installation cannot continue without these dependencies.
error: Please manually install this dependency and re-run this installer.
 


"apt install pyqt4" ne fait pas mieux et ne trouve pas le paquet. Il a peut-être un autre nom.
Comment puis-je trouver ces deux paquets ou installer hplip 3.17.9 (minimum) par un autre moyen ?

EDIT : la version "backports" est la 3.16 seulement yikes

Merci à ceux qui savent.

RE Edit : hplip 3.17.10 est dans les dépôts de la version testing.
La question devient donc : comment installer un paquet de testing et rester sur stable.

Dernière modification par trentanel (30-11-2017 11:16:13)

Hors ligne

#2 30-11-2017 10:32:32

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

La question devient donc : comment installer un paquet de testing et rester sur stable.

Dernière modification par trentanel (30-11-2017 11:09:10)

Hors ligne

#3 30-11-2017 11:07:08

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : Installer un paquet de testing et rester sur stable. (Résolu)

En ligne

#4 30-11-2017 11:08:43

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Merci.
cela semble assez compliqué car l'installation de hplip de buster entraîne la suppression de plein de choses dont LibreOffice.
Hplip 3.17.10 s'installe bien mais si je reste sur stable, je ne peux pas réinstaller LibreOffice. Il faudrait certainement tout passer sur Buster.

Hors ligne

#5 30-11-2017 11:11:44

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Peut-être gérer les recommendes dans /etc/apt/apt.conf ?
Voir le tuto ci-dessous :
https://debian-facile.org/doc:systeme:a … ependances

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#6 30-11-2017 11:15:47

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Merci pour vos suggestions. Cela me semble complexe pour un résultat incertain avec le jeu des dépendances.

Finalement, si j'ai bien compris, Debian testing est la version de base d'Ubuntu et qui ne crashe pas tous les matins.
J'ai donc remplacé stretch par buster dans le sources.list , fait la mise à jour de 935 paquets et j'ai eu un système cohérent avec enfin hplip 3.17.

Dernière modification par trentanel (30-11-2017 11:25:40)

Hors ligne

#7 30-11-2017 11:29:53

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : Installer un paquet de testing et rester sur stable. (Résolu)

trentanel a écrit :

J'ai donc remplacé stretch par buster dans le sources.list


Sous testing, utilise apt-listbugs pour rester cohérent un peu plus. Le lien : https://debian-facile.org/doc:systeme:apt:apt-listbugs


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#8 30-11-2017 11:50:45

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

@smolski

La doc a écrit :

Une fois installé, apt-listbugs est lancé automatiquement par apt-get et aptitude lors de l'installation/mise-à-jour de paquets. :-)


Est-ce que apt lance lui aussi apt-listbugs  ?

Hors ligne

#9 30-11-2017 13:16:48

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Bonjour
Oui apt update lance apt-listbugs

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#10 30-11-2017 13:28:21

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Merci Croutons

Hors ligne

#11 30-11-2017 13:51:44

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Hi hi hi.. smile quel défience de nos tutos dis-donc ! tongue

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#12 30-11-2017 18:13:07

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Pourquoi "défiance" ? Le tuto ne traite pas de apt et c'est lui que j'utilise le plus souvent. Je me renseigne cool
Apt n'est ni aptitude, ni apt-get.

Hors ligne

#13 30-11-2017 19:43:51

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

Salut,
et t'as pas une version plus récente dans les backports ? Ça serait peut-être plus simple.

DFlinux Stretch

Hors ligne

#14 30-11-2017 20:51:06

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : Installer un paquet de testing et rester sur stable. (Résolu)

ah oui trentanel, j'avions pas saisi.
Il faudra donc mettre à jour le tuto sur ce point, merci smile

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#15 30-11-2017 20:57:56

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

@Herve33

trentanel au post N°1 a écrit :

la version "backports" est la 3.16 seulement

Hors ligne

#16 30-11-2017 21:45:50

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : Installer un paquet de testing et rester sur stable. (Résolu)

trentanel a écrit :

@Herve33

trentanel au post N°1 a écrit :

la version "backports" est la 3.16 seulement



Oups pardon j'avais pas vu


DFlinux Stretch

Hors ligne

Pied de page des forums